FriBID forum

FriBID är ett fritt program för e-legitimation med BankID.

You are not logged in.

#1 2013-10-28 08:30:04

inkoqnito
Member
Registered: 2013-10-28

Fribid går inte att installera i archlinux

Har archlinux med gnomeshell och när jag försöker installera fribid-stable med yaourt så får jag detta felmeddelande:

/usr/include/gtk-3.0/gtk/gtkfilechooser.h:32:44: anm: i expansionen av makrot ”G_TYPE_CHECK_INSTANCE_CAST”
#define GTK_FILE_CHOOSER(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_FILE_CHOOSER, GtkFileChooser))
                                            ^
gtk.c:488:31: anm: i expansionen av makrot ”GTK_FILE_CHOOSER”
     GtkFileChooser *chooser = GTK_FILE_CHOOSER(gtk_file_chooser_dialog_new(
                               ^
Makefile:62: receptet för målet ”gtk.o” misslyckades
make[1]: *** [gtk.o] Fel 1
make[1]: Lämnar katalogen ”/tmp/yaourt-tmp-isak/aur-fribid-stable/src/fribid-1.0.2/client”
Makefile:28: receptet för målet ”all” misslyckades
make: *** [all] Fel 2
==> FEL:  Ett fel uppstod i build().
    Avbryter...
==> ERROR: Makepkg was unable to build fribid-stable.
==> Restart building fribid-stable ? [y/N]

Vad kan jag göra åt det?

Offline

#2 2013-11-26 03:00:17

Almehdin
Member
Registered: 2013-11-26

Re: Fribid går inte att installera i archlinux

Lägg in denna sträng just ovan 'make' i build{} på pkgbuilden så får du den att byggas. Det har med saker som kommer vara förlegat i nästa version av Gnome.

sed -i 's/-DGTK_DISABLE_DEPRECATED=1 -DGDK_DISABLE_DEPRECATED=1 -DG_DISABLE_DEPRECATED=1 -DGSEAL_ENABLE//' client/Makefile

Offline

Board footer

Powered by FluxBB